//
// common.c
//
#include "common.h"
#include <stdarg.h>
#include <stdio.h>

char *strmsg(char *fmt, ...) {
    static char msg[256];
    va_list ap;
    va_start(ap, fmt);
    vsnprintf(msg, sizeof(msg), fmt, ap);
    va_end(ap);
    return msg;
}

static int label = 0;
int label_new() {
    return label++;
}

char *label_str(int label) {
    static char name[15];
    sprintf(name, "label_%03d", label);
    return name;
}
